import { __name } from '../chunk-3IXKS7M5.mjs';
import { Listener } from '@sapphire/framework';
import { SubcommandPluginEvents } from '../lib/types/Events.mjs';

var _PluginListener = class _PluginListener extends Listener {
  constructor(context) {
    super(context, { event: SubcommandPluginEvents.SubcommandMappingIsMissingMessageCommandHandler });
  }
  run(_, subcommand, context) {
    const { name, location } = context.command;
    this.container.logger.error(`Encountered a missing mapping on message subcommand "${name}" at "${location.full}"`, subcommand);
  }
};
__name(_PluginListener, "PluginListener");
var PluginListener = _PluginListener;

export { PluginListener };
//# sourceMappingURL=PluginSubcommandMappingIsMissingMessageCommandHandler.mjs.map
//# sourceMappingURL=PluginSubcommandMappingIsMissingMessageCommandHandler.mjs.map